Jump to content
alex286

Свежая версия Vipnet для Linux

Recommended Posts

Здравствуйте!

Огорчает, что ситуация с клиентом  для Linux сегодня просто отвратительная.. 

Судите сами.. Основной парк  машин под Windows7 (я про МВД). Перехода на версию  8, или даже 10  (не сертифицированная) не предвидится  вообще.. И в этом случае хорошей альтернативой могут служить дистрибутивы, прошедшие сертификацию, например, Astra-Linux, пусть даже версии "Орел".  Но  у него версия ядра "искаропки" 4.2, а "свежайший" координатор требует версию ядра 2.6!  И как быть?    Неужели трудно обновить версию программы под ядро версии старше 4.0?  

 

Share this post


Link to post
Share on other sites
24 минуты назад, alex286 сказал:

Неужели трудно обновить версию программы под ядро версии старше 4.0?  

Дорого. Несколько мильонов надо заплатить за проверку, потому не выгодно.

Share this post


Link to post
Share on other sites

Вы явно что-то путаете, пишете о клиенте под Linux, а требования указываете на координатор, это разные продукты:

https://infotecs.ru/product/vipnet-client-.html

  • ALT Linux СПТ 7.0 Рабочая станция (64-разрядная), ядро 3.14;
  • Astra Linux Special Edition 1.4 «Смоленск» (64-разрядная), ядро 3.16;
  • Astra Linux Special Edition 1.5 «Смоленск» (64-разрядная), ядро 4.2;
  • Debian 8.7 (64-разрядная), ядро 3.16, среда рабочего стола GNOME 3;
  • OpenSUSE 42.3 (64-разрядная), ядро 4.4;
  • ГосЛинукс 6.6 IC4 (64-разрядная), ядро 3.10;
  • ЕМИАС 1.0 (64-разрядная), ядро 4.4;
  • ЛОТОС (64-разрядная), ядро 3.16;
  • РОСА «КОБАЛЬТ» (64-разрядная), ядро 3.10. 

 Про сертификацию и пр. пишите в коммерческий отдел компании.

Share this post


Link to post
Share on other sites

Разве  это не одно и тоже? Меня уверяли, что программа одна и отличается только настройками..

 Тогда по какой ссылке я могу скачать именно клиент под Линукс  для версии ядра 4.2 ?

По вашей я увидел  только для Windows  и они у нас есть приобретенные. 

Share this post


Link to post
Share on other sites

Теперь клиент и координатор под Linux это разные продукты. Сам клиент единый, не под какое-то ядро.

Скачать его можно: https://infotecs.ru/downloads/all/vipnet-client-.html?arrFilter_93=3868181484&set_filter=Y

https://infotecs.ru/downloads/demo-versii/vipnet-client-for-linux-4-3-0.html?show_form=Y

Но вряд ли это актуальная версия, лучше написать в ТП. И также следует учесть, что Вам понадобится специальная роль (ПЗ) для линуксового клиента (это в коммерческий отдел), а сам администратор должен быть не ниже версии 4.6.4 (только начиная с неё поддерживается эта роль). 

Share this post


Link to post
Share on other sites

Продолжим...

nessy@nessy-M700:~/install/distribute$ sudo ./install.sh --license-agree --accept
Checking platform...
STEP 0: Checking system requirements
Checking presence of required system tools
Checking tool tar ... /bin/tar
Checking tool gunzip ... /bin/gunzip
Checking tool sed ... /bin/sed
Checking tool cat ... /bin/cat
Checking tool grep ... /bin/grep
Checking tool find ... /usr/bin/find
Checking tool wc ... /usr/bin/wc
Checking tool awk ... /usr/bin/awk
Checking tool killall ... /usr/bin/killall
Checking tool pidof ... /bin/pidof
Checking tool zcat ... /bin/zcat
Checking tool perl ... /usr/bin/perl
Checking tool install ... /usr/bin/install
Checking tool rmmod ... /sbin/rmmod
Checking tool depmod ... /sbin/depmod
Checking tool lsmod ... /sbin/lsmod
Checking Linux distribution support...
Checking Linux platform(x64_64/i686/arm) support...
Checking ethtool...
Found ethtool /sbin/ethtool
STEP 1: Select ViPNet installation distribution
Searching in '/home/nessy/install/distribute'...
Selected distribution file: '/home/nessy/install/distribute/distribute.tar.gz'
STEP 2: Unpacking ViPNet distribution archive
Unpack '/home/nessy/install/distribute/distribute.tar.gz' successfull
Checking tool make ... /usr/bin/make
Checking GCC version...
Found GCC 5.4
Checking Linux kernel headers presence...
Kernel headers found in /lib/modules/4.4.0-116-generic/build/
STEP 3: Searching for current ViPNet configuration
No current ViPNet configuration found
STEP 4: Preparing for installation
This script will install
ViPNet Virtual Private Network (x86_64/Linux)
Product version: 4.3.0 build 13077
STEP 6: Installing drivers
Install drviplir.ko
Compiled driver drviplir.ko was not found to install.
Installation ABORTED.
nessy@nessy-M700:~/install/distribute$ 

Причем указанного драйвера в дистрибутиве в папке  /Drives  нет. Что я делаю не так?

Дополнение: добавил недостающие файлы  (их надо все, что есть в папке) из дистрибутива для АстраЛинукс  и все установилось..

Едем дальше.. НО поправить надо-бы.. 

 

Share this post


Link to post
Share on other sites
24 минуты назад, alex286 сказал:

Product version: 4.3.0 build 13077

 

24 минуты назад, alex286 сказал:

Kernel headers found in /lib/modules/4.4.0-116-generic/build/

Нет в версии 4.3.0 поддержки ядер 4.4. Вообще.

 

В 20.02.2018 в 14:23, zero сказал:

Но вряд ли это актуальная версия, лучше написать в ТП

 Актуальная 4.3.2, системные требования на неё в этой ветке я уже писал, у неё ядра 4.4 поддерживаются для OpenSUSE 42.3 (64-разрядная),  ЕМИАС 1.0 (64-разрядная), ядро 4.4.

  Поэтому опять мимо Вашей конфигурации.

Share this post


Link to post
Share on other sites

В результате у меня получилось вот что.... После загрузки ключа *.dst  и  вписывания его пароля.....

IMG-201.jpeg

Share this post


Link to post
Share on other sites

В каких ролях регистрировали данный узел?

Share this post


Link to post
Share on other sites

Это стандартный ключ на рабочее место, который прекрасно работает  под Windows версией.  Нам их "генерят" в  центральном аппарате.

Share this post


Link to post
Share on other sites

>прекрасно работает  под Windows версией

Значит под Linux клиентом работать не будет. 

Понадобится специальная роль (ПЗ) для линуксового клиента. Я Вам об этом уже писал:

И также следует учесть, что Вам понадобится специальная роль (ПЗ) для линуксового клиента (это в коммерческий отдел), а сам администратор должен быть не ниже версии 4.6.4 (только начиная с неё поддерживается эта роль). 

 

  

Share this post


Link to post
Share on other sites

Вот теперь не просто спасибо, а БОЛЬШОЕ  спасибо.. Я так и полагал, но ваш ответ, ответ, "что надо"!!!  

Скопипастил  ответ руководству, пусть думают, на хрена было "покупать все под винду",   дорогие вы наши "руководители"... :)

Share this post


Link to post
Share on other sites

Пусть проверят роли в сете куда подключаетесь, может туда закупались Линукс, поменяют роль. А если для тестов, то можно в Инфотекс им обратиться, вдруг добавят.

Share this post


Link to post
Share on other sites
wget --no-ch -SN https://files.infotecs.ru/_dl/sess/vipnet_demokeys/vipnet_demokeys.zip
...
  HTTP/1.1 200 OK
  Server: nginx/1.12.2
  Date: Mon, 19 Mar 2018 20:26:43 GMT
  Content-Type: application/zip
  Content-Length: 43560
  Last-Modified: Tue, 13 Mar 2018 07:55:59 GMT

Внутри - dst, созданные в феврале 2018.
Предположительно, если в демо-версию отдаются клиенты для винды (октябрь 2017), линукса (август 2017) и макоси (март 2015), то необходимые разрешения в этих ключах наличествуют.

Share this post


Link to post
Share on other sites
В 16.03.2018 в 16:15, zero сказал:

>прекрасно работает  под Windows версией

Значит под Linux клиентом работать не будет. 

Понадобится специальная роль (ПЗ) для линуксового клиента. Я Вам об этом уже писал:

И также следует учесть, что Вам понадобится специальная роль (ПЗ) для линуксового клиента (это в коммерческий отдел), а сам администратор должен быть не ниже версии 4.6.4 (только начиная с неё поддерживается эта роль). 

 

Подскажите,нами была закуплена лицензия,абстрактно 200 инcталляций ПО ViPNet client 4.x for windows и 100 инcтслляций ПО ViPNet client 4.x for Linux.
Версия ПО Администратор,ЦУС - 4.6.1.3861
Отображается лишь 200 .
Где можно скачать более новую версию Администратора для выпуска DST с ролями под Linux

 

  

 

Share this post


Link to post
Share on other sites
8 часов назад, Александр Сергеевич сказал:

Где можно скачать более новую версию Администратора для выпуска DST с ролями под Linux

 В ТП. Свободного доступа к версии 4.6.4 нет, насколько известно.

Share this post


Link to post
Share on other sites

Спасибо. Они кстате до 01.04.2019 Пароль какие не понятно, но скорее всего как всех демо или 6 единиц или 8

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using this site, you agree to our Terms of Use.